# BarcodeItem class

Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, createToJson: false, explicitToJson: false)

## Constructors

BarcodeItem(BarcodeFormat? barcodeFormat, String? text, String? barcodeImageBase64)
BarcodeItem.fromJson(Map<String, dynamic> json)
  factory

## Properties

barcodeFormat ↔ BarcodeFormat?
  Scanned barcode format
  getter/setter pair
barcodeImageBase64 ↔ String?
  getter/setter pair
formattedResult ↔ GenericDocument?
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
rawBytes ↔ Uint8List?
  Raw data of barcode
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text ↔ String?
  Result data from barcode
  getter/setter pair
textWithExtension ↔ String?
  Result data from barcode including an eventual extension from the metadata
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited